Description

To be able to properly handle missing class dependencies in ClassReflection a ClassLoader should be added to end of the
ClassLoader chain that throws an exception if it's reached, meaning the class couldn't be loaded.

Make executeCommand throw an exception on errors, rather than just echo any command output collected.

Associated revisions
Revision e590a18e - 2012-09-11 14:45 - Christian Jul Jensen

[TASK] Handle errors in subprocesses properly

To be able to properly handle missing class dependencies in ClassReflection
a ClassLoader should be added to end of the ClassLoader chain that throws
an exception if it's reached, meaning the class couldn't be loaded.

Make executeCommand throw an exception on errors, rather than just echo any
command output collected.

Change-Id: I91a1f7af5bc1456d108227806133ae55a8d61139
Resolves: #39599
Releases: 1.2

History
#1 - 2012-08-07 17:45 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13362

#2 - 2012-09-11 15:23 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13362

#3 - 2012-09-11 15:35 - Christian Jul Jensen
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e590a18ea3b12b73e01fe890bb3df72d901325bb.
